SeExpr

Public Member Functions | Static Public Member Functions | Private Attributes | List of all members
SeExpr2::ExprCurveAssignSpec< T > Class Template Reference

Curve assignment expression. Assignment of curve to a variable. More...

`#include <ControlSpec.h>`

Inheritance diagram for SeExpr2::ExprCurveAssignSpec< T >:

## Public Member Functions
| ExprCurveAssignSpec (const ExprAssignNode &node)
virtual std::string | toString () const
| Generates a replacement string based on changes to the spec. More...
Public Member Functions inherited from SeExpr2::ControlSpec
| ControlSpec (const ExprNode &node)
virtual | ~ControlSpec ()

## Static Public Member Functions
static const ExprCurveAssignSpec * | match (const ExprNode *node)

## Private Attributes
std::string | _lookupText
| Lookup subexpression text. More...
std::vector< typename Curve< T >::CV > | _vec
| Control points of curve spline. More...

## Additional Inherited Members
Protected Attributes inherited from SeExpr2::ControlSpec
std::string | _name
| Name of control. More...
int | _start
| Start position of text in original source. More...
int | _end
| End position of text in original source. More...

## Detailed Description

### template<class T>
class SeExpr2::ExprCurveAssignSpec< T >

Curve assignment expression. Assignment of curve to a variable.

Definition at line 88 of file ControlSpec.h.

## Constructor & Destructor Documentation

## ◆ ExprCurveAssignSpec()

template<class T >

SeExpr2::ExprCurveAssignSpec< T >::ExprCurveAssignSpec | ( | const ExprAssignNode & | node | ) |

Definition at line 139 of file ControlSpec.cpp.

References SeExpr2::ExprCurveAssignSpec< T >::_lookupText, SeExpr2::ControlSpec::_name, SeExpr2::ExprCurveAssignSpec< T >::_vec, SeExpr2::ExprNode::child(), SeExpr2::ExprAssignNode::name(), SeExpr2::ExprNode::numChildren(), SeExpr2::ExprNode::toString(), and value().

## Member Function Documentation

## ◆ match()

template<class T >

const ExprCurveAssignSpec< T > * SeExpr2::ExprCurveAssignSpec< T >::match | ( | const ExprNode * | node | ) |
| static

Definition at line 174 of file ControlSpec.cpp.

References SeExpr2::isCurveAssign().

## ◆ toString()

template<class T >

std::string SeExpr2::ExprCurveAssignSpec< T >::toString | ( |  | ) | const
| virtual

Generates a replacement string based on changes to the spec.

Implements SeExpr2::ControlSpec.

Definition at line 161 of file ControlSpec.cpp.

## Member Data Documentation

## ◆ _lookupText

template<class T >

std::string SeExpr2::ExprCurveAssignSpec< T >::_lookupText
| private

Lookup subexpression text.

Definition at line 97 of file ControlSpec.h.

Referenced by SeExpr2::ExprCurveAssignSpec< T >::ExprCurveAssignSpec().

## ◆ _vec

template<class T >

std::vector<typename Curve<T>::CV> SeExpr2::ExprCurveAssignSpec< T >::_vec
| private

Control points of curve spline.

Definition at line 99 of file ControlSpec.h.

Referenced by SeExpr2::ExprCurveAssignSpec< T >::ExprCurveAssignSpec().

The documentation for this class was generated from the following files:

- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ControlSpec.h
- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ControlSpec.cpp